Subject: Re: bug#38563: 27.0.50; Company popup renders with newlines (?) inheriting the bg properties of the character at next line's bol

From: Dmitry Gutov <[email-masked]>
Date: Wed, 11 Dec 2019 23:47:30 +0200

On 11.12.2019 19:20, Eli Zaretskii wrote:
>> From: Dmitry Gutov <[email-masked]>
>> Date: Wed, 11 Dec 2019 03:13:59 +0200
>>
>> Here are two ways I usually trigger it:
>>
>> 1. Initiate completion on the "Author:" line of a LogEdit buffer (the
>> next line is an inverse-video line).
>>
>> 2. Have at least one space at the beginning of a line, and have
>> whitespace-mode on to highlight it in red. Then initiate completion on
>> the preceding line.
> 
> Thanks, but I don't think I understand how to reproduce this, based on
> your descriptions.  Can you show a complete recipe for the second
> scenario, starting from "emacs -Q", then loading whitespace-mode and
> company-mode, and finally initiating the completion so as to show the

1. Launch 'emacs -Q -L path/to/company -l company'.
2. Turn on company-mode and whitespace-mode.
3. In the scratch:
newline
newline
space space space
previous-line
Type 'c', then M-x company-complete-common

Then wait ~3 seconds because of that "you can run this command ..." 
nonsense which is implemented using sit-for. The popup will appear.

Observe how the space to the right of the popup is all yellow (the color 
whitespace-mode assigns to the spaces on the next line by default).

Going back to the original screenshots, it shows two windows, and in 
each example there's a hollow cursor in the "other" window which denotes 
the position where you'd have to initiate completion at to see the other 
example.